Bug 1122030 - [abrt] konqueror: QByteArray(): konqueror killed by SIGSEGV
Summary: [abrt] konqueror: QByteArray(): konqueror killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-baseapps
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b889a8abf3fb694ae25596248b9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 11:57 UTC by Karel Volný
Modified: 2015-06-29 21:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:41:08 UTC


Attachments (Terms of Use)
File: backtrace (40.61 KB, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: core_backtrace (13.15 KB, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: dso_list (24.90 KB, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: environ (5.98 KB, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: maps (111.89 KB, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: open_fds (184 bytes, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details
File: var_log_messages (204 bytes, text/plain)
2014-07-22 11:57 UTC, Karel Volný
no flags Details

Description Karel Volný 2014-07-22 11:57:24 UTC
Description of problem:
I was trying to search a text, it crashed on hitting 'enter' to search.

Version-Release number of selected component:
konqueror-4.12.5-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: QByteArray
executable:     /usr/bin/konqueror
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 QByteArray at /usr/include/QtCore/qbytearray.h:439
 #1 KApplication::startupId at /usr/src/debug/kdelibs-4.12.5/kdeui/kernel/kapplication.cpp:1077
 #2 KCrash::defaultCrashHandler at /usr/src/debug/kdelibs-4.12.5/kdeui/util/kcrash.cpp:413
 #4 memset at ../sysdeps/x86_64/memset.S:97
 #6 QVarLengthGlyphLayoutArray at ../../src/gui/text/qtextengine_p.h:277
 #7 QFontMetrics::width at text/qfontmetrics.cpp:566

Comment 1 Karel Volný 2014-07-22 11:57:28 UTC
Created attachment 919890 [details]
File: backtrace

Comment 2 Karel Volný 2014-07-22 11:57:29 UTC
Created attachment 919891 [details]
File: cgroup

Comment 3 Karel Volný 2014-07-22 11:57:31 UTC
Created attachment 919892 [details]
File: core_backtrace

Comment 4 Karel Volný 2014-07-22 11:57:32 UTC
Created attachment 919893 [details]
File: dso_list

Comment 5 Karel Volný 2014-07-22 11:57:34 UTC
Created attachment 919894 [details]
File: environ

Comment 6 Karel Volný 2014-07-22 11:57:35 UTC
Created attachment 919895 [details]
File: limits

Comment 7 Karel Volný 2014-07-22 11:57:37 UTC
Created attachment 919896 [details]
File: maps

Comment 8 Karel Volný 2014-07-22 11:57:38 UTC
Created attachment 919897 [details]
File: open_fds

Comment 9 Karel Volný 2014-07-22 11:57:39 UTC
Created attachment 919898 [details]
File: proc_pid_status

Comment 10 Karel Volný 2014-07-22 11:57:41 UTC
Created attachment 919899 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:26:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:41:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.